import { defineStore } from 'pinia';
import travelService from 'src/services/travel.service';

export const useTravelStore = defineStore({
    id: 'travel',

    state: () => ({
        initialDataLoading: true,
        travels: [],
    }),
    actions: {
        async init() {
            await this.fetchAllData();
        },

        async fetchAllData() {
            const { data } = await travelService.getTravels();
            this.travels = data || [];
        },
    },

    getters: {},
});
